Bug 248574 - yum does not execute install/deinstall scripts
yum does not execute install/deinstall scripts
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
: Reopened
Depends On: 117619
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 11:51 EDT by James Antill
Modified: 2014-01-21 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 13:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2007-07-17 11:51:25 EDT
+++ This bug was initially created as a clone of Bug #117619 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When installing packages through yum the install scripts are not
executed. This means the required user/group may not be created. ....

Version-Release number of selected component (if applicable):
2.0.5

How reproducible:
Always

Steps to Reproduce:
1. install yum 2.0.5 (basically be up2date)
2. yum install clamav (using clamav from fedora.us)
3. Notice the clamav user is not created.

If you fetch the same packages manually and install them with:
rpm -Uvh clamav*
It will work just fine.

Expected Results:  All scripts should be run as one would have them
execute with a normal rpm install.

-- Additional comment from skvidal@linux.duke.edu on 2004-03-13 22:04 EST --
I can't replicate this here. All the other %post/%pre, etc scripts run
for me


-- Additional comment from tscherf@redhat.com on 2007-07-17 11:04 EST --
still have this problem in rhel5 with yum-3.0.1-5.el5
Comment 1 James Antill 2007-07-17 11:55:33 EDT
 Do you get any warnings?

 What packages do you have this problem with? ... I can only assume it's not all
of them.

 You are running the "yum update" from the console as root?

 There are a lot of fixes in the RHEL5.1 errata, have you tried that?

 Do you have SELinux turned on and enabled? ... if so can you give the recent
audit AVC messages.

 If all else fails can you upload an strace of yum failing (strace -f), that is.
Comment 2 Jeremy Katz 2008-06-13 13:30:09 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.